### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
BlackScholesLattice< T > Class Template Reference
Lattice methods

Simple binomial lattice approximating the Black-Scholes model. More...

`#include <ql/methods/lattices/bsmlattice.hpp>`

Inheritance diagram for BlackScholesLattice< T >:
[legend]

List of all members.

## Public Member Functions

| BlackScholesLattice (const boost::shared_ptr< T > &tree, Rate riskFreeRate, Time end, Size steps)
Rate | riskFreeRate () const
Time | dt () const
Size | size (Size i) const
DiscountFactor | discount (Size, Size) const
void | stepback (Size i, const Array &values, Array &newValues) const
Real | underlying (Size i, Size index) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const

## Protected Attributes

boost::shared_ptr< T > | tree_
Rate | riskFreeRate_
Time | dt_
DiscountFactor | discount_
Real | pd_
Real | pu_

## Detailed Description

### template<class T>
class QuantLib::BlackScholesLattice< T >

Simple binomial lattice approximating the Black-Scholes model.